[Aspire 3830TG, Conexant ID 506c, Speaker, Internal] No sound at all

Reported by andROOM on 2011-05-16
220
This bug affects 39 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
micha
Oneiric
Undecided
Unassigned

Bug Description

no sound at all

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: alsa-base 1.0.24+dfsg-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.24.
 Compiled on May 5 2011 for kernel 2.6.38-8-generic (SMP).
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: HDA Generic [HDA Generic]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: andrew 1601 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xd1c00000 irq 49'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f1506c,1025054c,00100000 HDA:80862805,80860101,00100000'
   Controls : 10
   Simple ctrls : 5
Date: Mon May 16 19:24:42 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
Symptom_Card: Internal Audio - HDA Intel PCH
Symptom_DevicesInUse: 1601
Symptom_Jack: Speaker, Internal
Symptom_Type: No sound at all
Title: [Aspire 3830TG, Conexant ID 506c, Speaker, Internal] No sound at all
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/29/2011
dmi.bios.vendor: Acer
dmi.bios.version: V1.02
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: JM30_HR
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.02
dmi.modalias: dmi:bvnAcer:bvrV1.02:bd03/29/2011:svnAcer:pnAspire3830TG:pvrV1.02:rvnAcer:rnJM30_HR:rvrBaseBoardVersion:cvnAcer:ct10:cvrV1.02:
dmi.product.name: Aspire 3830TG
dmi.product.version: V1.02
dmi.sys.vendor: Acer

andROOM (androom) wrote :
Michael Saur (msaur) wrote :

Thank god that I'm not the only one with this problem. Have been trying to solve it for a couple of days. Hopefully something will come up. If anyone has suggestions, I would love to hear them. Thanks in advance!

Hello, my aspire timelinex 5830tg uses Conexant ID 506c and I can report a similar problem.

The headphones work perfectly but I cannot hear any sound from the loud speakers except when I plug/unplug the laptop power adapter. In this case, the sound switches from the headphones to the loud speakers during 1 second only. Power management seems linked to the loud speakers problem.

Here is the audio section given by the lspci command :
00:1b.0 Audio device: Intel Corporation 6 Series Chipset Family High Definition Audio Controller (rev 04)

The Alsa Information Script ( http://www.alsa-project.org/alsa-info.sh ) provides a link about my sound configuration : http://www.alsa-project.org/db/?f=2d4f8907895d0e6860f853ec567cc37c2bf1eca6

Hope that can help to resolve our problems.

Michael Saur (msaur) wrote :

Did your headphones work "out of the box"? Because mine don't. I really have no sound at all apart from the power adapter sound (the volume of which can strangely be adjusted via the main volume in Ubuntu). Cheers!

Yes, I ve just tried to play an .ogg file with the Ubuntu 64 Live DVD and the headphones work "out of the box".

I can also hear a "beep" (loud speakers and headphones work at the same time) just when the power adapter is plugged/unplugged and the volume of this sound is adjustable.

Can you compare the configuration given by Alsa Information Script with mine ?

I ve also found a script from this page : http://www.alsa-project.org/main/index.php/
It didn't solved any problems yet but it could maybe give helpful information and additional settings.

Michael Saur (msaur) wrote :

I just had a look at the script's output and mine is essentially the same, just that I have a 2.6.39-0 kernel and a 1.0.24 alsa driver. but since the headphone jack didn't give me music before i made these changes, i doubt that they are the cause. and yes, i can hear the unplugging sound as well, even over the headphone jack. i wouldn't give too much attention to it, if the volume of the sound wasn't changeable from ubuntu. that's weird. at the moment i'm really running out of things that i could try.

Michael Saur (msaur) wrote :

the thing is that this would be the only missing thing. i disabled the nvidia card for more battery time and i got the hotkeys for the display brightness to work. but that damn sound...

I have also installed the 2.6.39-0 kernel for better sandy bridge support but it didn't change any sound problem : maybe ALSA bugtracking system would be a better place to post this bug ? It could be also interesting to try others distributions.

I am also trying to disable the nvidia card for saving battery time but without any success. Did you managed to use vgaswitcheroo ? Although it's probably off topic, it would be very helpful if you could give me some hints (by email ?).

Thanks by advance.

Luke Yelavich (themuso) wrote :

Androom, thanks for your bug report. Did you have a previous version of Ubuntu installed? If so, did sound work in that previous version?

Could you please get a log from PulseAudio as outlined at the following URL: https://wiki.ubuntu.com/PulseAudio/Log.

To everybody else, please file a bug for your own issue using "ubuntu-bug audio" in a terminal, so we can get the exact information needed about your hardware.

Thanks.

Changed in alsa-driver (Ubuntu):
status: New → Incomplete

Hi Luke,

Just bought this laptop some weeks ago, so this is fresh install.

Got a log from pulseaudio and attached.

Thanks,
Andrew

On Thu, May 26, 2011 at 5:20 AM, Luke Yelavich
<email address hidden> wrote:
> Androom, thanks for your bug report. Did you have a previous version of
> Ubuntu installed? If so, did sound work in that previous version?
>
> Could you please get a log from PulseAudio as outlined at the following
> URL: https://wiki.ubuntu.com/PulseAudio/Log.
>
> To everybody else, please file a bug for your own issue using "ubuntu-
> bug audio" in a terminal, so we can get the exact information needed
> about your hardware.
>
> Thanks.
>
> ** Changed in: alsa-driver (Ubuntu)
>       Status: New => Incomplete
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/783582
>
> Title:
>  [Aspire 3830TG, Conexant ID 506c, Speaker, Internal] No sound at all
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/783582/+subscribe
>

Luke Yelavich (themuso) wrote :

Ok thanks for that, nothgin untoward in that log so far as I can tell. You could try updating the audio drivers, as outlined at the following URL: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules.

Thanks.

andROOM (androom) wrote :

Hi Luke,
Updating audio driver is already done.

Thanks,
Andrew

Hi,

I am following a discussion on Alsa bug tracking system that report the same problems (0005366: no sound, no errors on Acer Aspire TimeLineX 4830TG (Conexant ID 506c)) : https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5366
Someone proposed the following patch but it seems that it didn't solve any problem yet : http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-2.6.git;a=blob;f=sound/pci/hda/patch_conexant.c

I hope that the attached PulseAudio verbose log can help.

Cheers

andROOM (androom) wrote :

How can be help to resolve this issue?

I confirm the bug. I'm using Acer Aspire TimelineX 3830TG with ubuntu. Any solution is appreciated!

Igor I (foriigor) wrote :

Same problem!
Waiting for solution!

Arnaud DELCASSE (delcasse) wrote :

Same for me.

I confirm the problem too, I also tried ubuntu 10.10 and I got the same
problem. BTW, I don't intend to deviate the topic, sorry about this, but I
haven't managed to adjust the screen brightness. If someone has done it
please send me an email telling how!! Thanks guys, and hopefully this will
be solved soon!!

On Sun, Jun 12, 2011 at 10:45 AM, Arnaud DELCASSE <<email address hidden>
> wrote:

> Same for me.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/783582
>
> Title:
> [Aspire 3830TG, Conexant ID 506c, Speaker, Internal] No sound at all
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/783582/+subscriptions
>

--
*Regards,

Diego Núñez Silva*

Confirmed too on a Acer Aspire TimelineX 5830TG running Ubuntu 11.04

Confrimed here as well, Acer Aspire TimelineX 3830T running Ubuntu 11.04. Also brightness/backlight control widget works (slider slides up and down), but does not affect actual brightness/backlight, but that's certainly another bug report..

David Henningsson (diwic) wrote :

Howdy!

Could you help me test a possible solution by doing this:
1) make sure you don't have any alsa drivers installed, i e if you run "modinfo snd-hda-codec" the "Filename" line should not say anything with "updates" in it.
2) Download and install http://people.canonical.com/~diwic/temp/alsa-hda-dkms-acer3830tg_0.1_all.deb
3) Reboot and test. Test all inputs and outputs and report back whether the issue is now fixed or not.

David Henningsson (diwic) wrote :

For reference, I'm attaching the two patches that is applied to the previously mentioned debian package and that I hope will help here.

I tested the debian package mentioned in #21; no go. Still silent. Played around with mixer settings and alsamixer as well. Still no sound.

I tried the steps mentioned above:
1) make sure you don't have any alsa drivers installed, i e if you run
"modinfo snd-hda-codec" the "Filename" line should not say anything
with "updates" in it.

I ran the command and as filename I didnt find any updates there.

2) Download and install
http://people.canonical.com/~diwic/temp/alsa-hda-dkms-acer3830tg_0.1_all.deb

When I tried to install it required dkms as dependency, which I
installed. But once dkms installed I re-ran "modinfo snd-hda-codec"
and in this case dkms modified something and the word updates appear
in the filename value.

3) Reboot and test. Test all inputs and outputs and report back
whether the issue is now fixed or not.

In my case it didnt work. Not sure if the fact that I tried some
solutions to fix the problem has somehow left my ubuntu a bit dirty.
Lets wait for others.

David Henningsson (diwic) wrote :

@Marius, diego, thanks for testing.
Could you please attach an alsa-info to this bug with my package installed, and without headphones plugged in? (See wiki.ubuntu.com/Audio/AlsaInfo )
Also, when you say "still silent", is that speaker only or has the headphones stopped working as well when the deb is installed? What about microphone inputs (external and internal)?

@David, I tested both without and with headphones plugged in and got no sounds in either. There were activity on the microphone input, but I wasn't able to demonstrate to myself that the activity was due to input from the mic (I made some sounds which didn't seem to register in any special way), or just static from some internal amplifiers (or whatever, not my knowledge domain).

I'll post the alsa-info this evening (when I get home from work).

Thank you for looking into this.

David Henningsson (diwic) wrote :

@Marius, diego, thanks for testing. If it isn't working, I fear we're down to random guessing (trying GPIOs, changing pin configs etc)...

But just to verify:
Could you please attach an alsa-info to this bug with my package installed, and without headphones plugged in? (See wiki.ubuntu.com/Audio/AlsaInfo )
Also, when you say "still silent", is that speaker only, or has the headphones stopped working as well when the deb is installed? What about microphone inputs (external and internal)?

Arnaud DELCASSE (delcasse) wrote :
Download full text (3.3 KiB)

Hello,

I tested the microphone through input streaming to another computer and it
seamed to record but with a crap sound (lot of noise around) ...

Concerning my installation, output sound never worked through headphones or
not.

A. Delcasse

2011/6/22 David Henningsson <email address hidden>

> @Marius, diego, thanks for testing. If it isn't working, I fear we're
> down to random guessing (trying GPIOs, changing pin configs etc)...
>
> But just to verify:
> Could you please attach an alsa-info to this bug with my package installed,
> and without headphones plugged in? (See wiki.ubuntu.com/Audio/AlsaInfo )
> Also, when you say "still silent", is that speaker only, or has the
> headphones stopped working as well when the deb is installed? What about
> microphone inputs (external and internal)?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/783582
>
> Title:
> [Aspire 3830TG, Conexant ID 506c, Speaker, Internal] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> Incomplete
>
> Bug description:
> no sound at all
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: alsa-base 1.0.24+dfsg-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> AlsaVersion:
> Advanced Linux Sound Architecture Driver Version 1.0.24.
> Compiled on May 5 2011 for kernel 2.6.38-8-generic (SMP).
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: PCH [HDA Intel PCH], device 0: HDA Generic [HDA Generic]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: andrew 1601 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'PCH'/'HDA Intel PCH at 0xd1c00000 irq 49'
> Mixer name : 'Intel CougarPoint HDMI'
> Components : 'HDA:14f1506c,1025054c,00100000
> HDA:80862805,80860101,00100000'
> Controls : 10
> Simple ctrls : 5
> Date: Mon May 16 19:24:42 2011
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
> Symptom_Card: Internal Audio - HDA Intel PCH
> Symptom_DevicesInUse: 1601
> Symptom_Jack: Speaker, Internal
> Symptom_Type: No sound at all
> Title: [Aspire 3830TG, Conexant ID 506c, Speaker, Internal] No sound at
> all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 03/29/2011
> dmi.bios.vendor: Acer
> dmi.bios.version: V1.02
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: JM30_HR
> dmi.board.vendor: Acer
> dmi.board.version: Base Board Version
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> dmi.chassis.version: V1.02
> dmi.modalias:
> dmi:bvnAcer:bvrV1.02:bd03/29/2011:svnAcer:pnAspire3830TG:pvrV1.02:rvnAcer:rnJM30_HR:rvrBaseBoardVersion:cvnAcer:ct10:cvrV1.02:
> dmi.product.name: Aspire 3830TG
> dmi.p...

Read more...

@David, regarding "still silent", in my case it was always silent, headphones or not. Does anybody have the bug id's for related bugs to the newer Sandy Bridge Acer Aspire TimelineX series (unstable wifi and brightness/backlight not being adjustable)?

Michael Saur (msaur) wrote :

Sorry for the off-topic answer, but a solution to brightness control can be found here:

http://ubuntuforums.org/showthread.php?t=1481995

Works perfectly.

Cheers,

Michael

@MIchael, I'll certainly give it a try, but the 3820 model mentioned in the brightness control thread definitively is not of the newer Sandy Bridge variants (3830, 5830). Have you tried it on the newer models?

Hi,

The loud speakers of my 5830TG are working thanks to the HDAAnalyzer tool : http://www.alsa-project.org/main/index.php/HDA_Analyzer
Once the tool is installed, the option EAPD in Node[0x1b] must be enabled.

You will find more information (diff for the working internal speakers/headphones) in this Alsa bug tracker message : https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5366 .

Nice!!! It worked pretty well!! Thanks so much for your help!!!

I can confirm that the brightness fix works, and that audio also works with the HDA_Analyzer thing mentioned here. I lose sound after waking up from suspend, but that's a minor nuisance which should be easy to fix/work around. It would be great if the people with the skills could submit these fixes in a format to make them permanent and automatic. Only thing remaining for me now is the flaky wireless lan, but except from that this is starting look look like a great linux latop. Thanks.

siddian (siddian) wrote :

Hi

I have the feeling posting here in addition to the alsa-bugtrack-site can help improving the situation.
I have the setup mentioned here: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5366.
short:
Acer Aspire 4830T with ubuntu 11.04 kernel 2.6.39-0 and alsa version 1.0.24

I have the feeling the solution/workaround is very close :-)

@voyance_en_direct:
I tried modifying all the settings mentioned in https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5366.
But no improvement at all, no sound using the Jack or the internal speakers.
When setting the EAPD option you mention all I get is a beep that wont stop until I remove this option again.
I can, however, change the volume of this beep :-)
I can also hear this beep using the jack, the internal speakers won't switch off though.

@diego.nunez:
Do you also have the 5830TG? Seems to me the hardware in the 5830TG is a bit different.

cheers

andROOM (androom) wrote :

HDA_Analyzer it works for me :-)

alsa-hda-dkms-acer3830tg_0.1_all.deb wasn't tried

tags: added: patch
fal24 (fal24) wrote :

Hi,

Thank you for the alsa-hda-dkms-acer3830tg_0.1_all.deb, it almost works for mi, excluding internal mic in Skype.

Michael Saur (msaur) wrote :

Hi everyone,

I can confirm that HDA_Analyzer works for my 3830 as well. Do you guys have simultaneous sound on speakers and headphones when the latter are plugged in? My internal mic continues not working, too. But hey, it's a GREAT step forward. Awesome!

Cheers,

Michael

siddian (siddian) wrote :

I tried installing alsa-hda-dkms-acer3830tg_0.1_all.deb, even though I don't own a 3830TG.
After a reboot a beep came out of my speakers that did not stop until I removed the EAPD flags as metioned above. Quite anoying.

Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
Changed in alsa-driver (Ubuntu):
status: Triaged → Incomplete
36 comments hidden view all 116 comments
CyJambo (cyjambo) wrote :

Hi,

FYI: I am using 3.0.3-generic kernel and the http://people.canonical.com/~diwic/temp/alsa-hda-dkms-acer3830tg_0.1_all.deb in post #76 doesn't help... :(

balkian (balkian) wrote :

David Henningsson, that package worked for me. I have sound and it turns off internal speakers when I plug the cable.

The mic is still noisy though. Any clue on that?

CyJambo (cyjambo) wrote :

Hi All,

http://www.alsa-project.org is dead, I can't reach it for the past two days. Since the last package didn't fix it for me I would like to try the solution suggested in post 33:

-----
The loud speakers of my 5830TG are working thanks to the HDAAnalyzer tool : http://www.alsa-project.org/main/index.php/HDA_Analyzer
Once the tool is installed, the option EAPD in Node[0x1b] must be enabled.

You will find more information (diff for the working internal speakers/headphones) in this Alsa bug tracker message : https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5366 .
-----

Does anyone have an idea where to get the HDAAnalyzer tool from other than the link above?

Thanks a lot!

CyJambo (cyjambo) wrote :

Hi David,

I have tested this again, using kernel 2.6.38-8-generic and I can confirm that my sound is now working with the .deb file in post #76.

Only the mic is not working, it makes a crackling sound, I can hear my voice faintly but that's it. I can't use it for proper conversations. Is there something I need to do to get it working?

Thanks a lot for this patch. Can you notify us when it's available for kernel 3 please? THx!

CyJambo (cyjambo) wrote :

Never mind, mic is working fine too. I used pavucontrol as suggested in post #55. Quality not too good, but at least it works. Thanks for all the help!!!

physe (graverini-elena) wrote :

The new package is working well for me too.

@CyJambo, how did you get the microphone to work well?
Mine is still too noisy, and pavucontrol acts the same way as alsamixer...

Heartly thanks to all those who helped with the patches. Keep the thread up and let us know if there is any definitive solution.
Also, ubuntu is always asking me to upgrade hda-alsa-dkms. Last time i did it, it screw all up. I won't allow it again, should I? How to disable a single upgrade?

FWIW, on my oneiric 3.0rc6 kernel, there's still no sound without
running the hda-verb command (or the hda_analyzer equivalent I guess).

I've added David's ppa repo, so I see the package gets updated
automatically from time to time, so I'll assume I'm also running the
latest fixes, whatever that is...

Thanks,

Marius K.

On 07/09/2011 11:04 PM, physe wrote:
> The new package is working well for me too.
>
> @CyJambo, how did you get the microphone to work well?
> Mine is still too noisy, and pavucontrol acts the same way as alsamixer...
>
> Heartly thanks to all those who helped with the patches. Keep the thread up and let us know if there is any definitive solution.
> Also, ubuntu is always asking me to upgrade hda-alsa-dkms. Last time i did it, it screw all up. I won't allow it again, should I? How to disable a single upgrade?
>

CyJambo (cyjambo) wrote :

@physe I have done it so that the left part of the mic is fully muted and the right is at 30%. This gave kind of optimal sound, but quality is still not so good. I have attached a picture with my settings (Sorry, it's in hungarian :) ).

@Marius I have had the same problem with the update manager, just lock the version in Synaptic. You can do this with CTRL-E I think. It will always remain in this version and the update manager won't update it either.

physe (graverini-elena) wrote :

Ah, I see, I thought you had got a good mic quality. It can actually be usable for short conversations, but in the long term it needs to be fixed. There is no reason for it to be so noisy. May it be another "driver" problem?

paapu (markus-kaukonen) wrote :

Hei,

I have Acer Aspire 3830TG and ubuntu 11.04 (with standard settings 16.07.2011)

Downloading http://people.canonical.com/~diwic/temp/alsa-hda-dkms-acer3830tg_0.1_all.deb
and installing it (sudo dpkg -i alsa-hda-dkms-acer3830tg_0.1_all.deb)
and rebooting gave me sound !!!!

THANK's guys!!!

terveisin, Markus

zzarko (zzarko-gmail) wrote :

I just wanted to confirm that the solution from

http://people.canonical.com/~diwic/temp/alsa-hda-dkms-acer3830tg_0.1_all.deb

also worked for Acer Aspire One 722 netbook (AMD C-50), as they have the same codec ID for audio card (that's how I found this bug report).

The jack-sense for headphones is now working, internal microphone also working (I only need to mute/unmute it before use; if I don't do that, it seems inactive). External microphone (still) doesn't work.

THANKS!

fr3sh (puki66) wrote :

Hi,
is the possibility to get the rpm package too? I'm on fedora and I have the same laptop 3830T with this codec.

Please help?

David Henningsson (diwic) wrote :

The latest version of the patch has now been committed upstream as http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-2.6.git;a=commitdiff;h=19110595c89b2d606883b7cb99260c7e47fd2143
Unfortunately, it did not reach the 3.0 kernel, but given the number of people affected, I suggest we merge/backport this into Oneiric.

affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Notgiven (public072001) wrote :

I'm using an Acer Aspire 722 netbook, the same 506c conexant chipset and the same problem. The jacksense does not work; I cannot use my headphones. I'm sorry, but this file: http://people.canonical.com/~diwic/temp/alsa-hda-dkms-acer3830tg_0.1_all.deb does not work anymore. It will not install, even on a fresh Ubuntu installation. I've attached the make.log

Notgiven (public072001) wrote :

I'm sure this will all be sorted out sooner or later. In the meantime, I'm putting this here for the benefit of other users with the same problem. Note: I'm using Lucid, and I tried this with the 2.6.32-21 and 2.6.32-33 kernals.

As per instructions found here: http://crunchbanglinux.org/forums/topic/4293/solved-alsa-no-sound-from-internal-speaker/

If you have an Acer Aspire One 722 netbook or any model using the Conexant ID 506c chip, and your headphones don't work (and the .deb submitted doesn't work for you), do this:

1. Get the latest Alsa driver snapshot from here: ftp://ftp.kernel.org/pub/linux/kernel/people/tiwai/snapshot/
2. Extract the zip file
3. Open a terminal
4. Navigate to the extracted folder
5. Type: ./configure --enable-dynamic-minors

6. Type: make

7. Type: sudo make install-modules
8. Reboot

Your headphones will now work properly and the solution survives a reboot.
Thanks to everyone who worked to solve this bug.

fr3sh (puki66) wrote :

YEEEAAAAA thanks "NOTGIVEN" your solution its also work in fedora

Hi David,

Looks like the patch you noted in comment #89 as officially landed in Linus' tree. If you can, send me a request to the kernel-team mailing list to cherry-pick this for Oneiric, and I'll make sure it gets applied for Alpha-3.

linux$ git show 19110595c89b2d606883b7cb99260c7e47fd2143
commit 19110595c89b2d606883b7cb99260c7e47fd2143
Author: Takashi Iwai <email address hidden>
Date: Mon Jul 11 14:46:44 2011 +0200

    ALSA: hda - Turn on extra EAPDs on Conexant codecs

David Henningsson (diwic) wrote :

@Leann, ok, done.

@everybody else: As for the mic quality stuff: recommend that to be tracked in a separate bug so we don't lose track of that problem when this bug is becoming fix released. I don't have a good idea on how to solve it currently, but it might be worth checking both left and right mic channels independently to see if they e g cancel each other out.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-8.10

---------------
linux (3.0.0-8.10) oneiric; urgency=low

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ John Johansen ]

  * [Config] Enable missing IPv6 options

  [ Leann Ogasawara ]

  * [Config] Disable config IWLWIFI_DEVICE_SVTOOL
    - LP: #819925
  * Rebase to 3.0.1

  [ Upstream Kernel Changes ]

  * x86, intel, power: Correct the MSR_IA32_ENERGY_PERF_BIAS message
  * ALSA: hda - Turn on extra EAPDs on Conexant codecs
    - LP: #783582
  * KVM: Remove SMEP bit from CR4_RESERVED_BITS
    - LP: #796476
  * KVM: Add SMEP support when setting CR4
    - LP: #796476
  * KVM: Mask function7 ebx against host capability word9
    - LP: #796476
  * KVM: Add instruction fetch checking when walking guest page table
    - LP: #796476

  [ Upstream Kernel Changes ]

  * rebase to v3.0.1
 -- Leann Ogasawara <email address hidden> Fri, 05 Aug 2011 11:32:25 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released

And it looks like the bug it's back after I updated my system yesterday (Oneiric)... No audio at all. Tried rebooting with previous kernel as well (3.0.0.8), but still no sound.

Same here, I tried reinstalling the .deb package and enabling the EAPD option at node 0x1d but no luck. Any idea how to proceed to get the sound back?

The latest incarnation of this bug actually give audio, but only on the headphone jack, so it seems it no longer senses whether that gets activated or not. I've also tested forcing the channel in the mixer, but still no audio without headphones. But at least it works with headphones. Still annoying though, as it worked just fine before the last upgrade. In case I did not make it clear, I'm also "all oneiric" now on this laptop, although another set of updates today seriously broke unity, so that laptop isn't doing me a lot of good these days..

Mikael Schiffmann (lowhifi) wrote :

I have tried about every solution I have found, none of them have worked yet..

Mikael Schiffmann (lowhifi) wrote :

I finally got the internal sound speakers working, but they keep playing even though I connect headphones to the jack plug-in (and there's no sound in the headphones).

Sound goes off and on now and then, so it's not really under control.

Update on my problems; on further inspection the driver is probably not the reason why the speakers do not work. I rebooted into Windows, and I had the same problem there. Further inspection indicates a small crack in the ring on the minijack connector, and a wild guess is that one of my kids have had an incident with my laptop which has caused some damage either to the "minijack detector" or some hardware issue where the speakers no longer work. My apologies for the misleading bug report.

Fredrik Valdmanis (fredva) wrote :

Updating the sound drivers as per comment #11 (https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules) solved the problem on my Acer 3830TG running Ubuntu 11.04. I had no sound whatsoever on internal speakers or headphones previous to the update, apart from the beep when connecting/disconneting the charger. Thanks for your help.

tux_rox (the-ex-parrot) on 2011-08-31
description: updated
tux_rox (the-ex-parrot) wrote :

Hi all,

I have an AO722 with the C-50 chip, running Peppermint OS and 2.6.38-8-generic kernel, and I have no sound from speakers or headphones.

When I tried installing both the .deb package from post #87 and the ALSA maneuvering from post #91, instead of enabling sound, ALSA stopped recognizing any soundcards. GNOME ALSA mixer is completely blank, and when I click on Edit > Soundcard Properties, the mixer simply exits.

alsa-info is attached. Of particular note is "Soundcards recognized by ALSA: no soundcards."

Thanks for any ideas as to how to fix this!

susu (marton-suranyi) wrote :

I also have 3830TG, but it is running Arch Linux, not Ubuntu. Since it is not an Ubuntu specific bug, I thougth i post my ugly script I have cut and pasted from HDA_Analyzer scripts. I have 3.0 kernel, so be careful on different kernels.

I added that script to my boot process (rc), but I would not complain it here, since AFAIK Ubuntu uses different rc system. (tested only with root)

With this kernel when I plug in my headphones into jack, the internal speakers muted, and when I pull off, speakers turn on again.

My uname -a just for sure:
Linux archie 3.0-ARCH #1 SMP PREEMPT Wed Aug 17 21:55:57 CEST 2011 x86_64 Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz GenuineIntel GNU/Linux

Michael Saur (msaur): thanks for your "off-topic" answer about brightness issue, it helped me a lot :)

I have attached the script.

Mikael Schiffmann (lowhifi) wrote :

I have tried out some different stuff, don't know exactly which things made it work, but now the sound comes out of both the internal and external speakers/jack. When I plug headphones into the external sound jack though, the internal still keep playing. Any fix for this?

The brightness fix from msaur also worked for me, it doesn't show any icon for brightness level now though.

Kris Vijay (kri-vijay) wrote :

------------------SPEAKER & MIC FIXED WITH KERNEL 2.6.38-11 -----------------------------

The issue appears to have been fixed with the new kernel update. & mic appear to be working ok

So here is the scoop. I have a Acer 4830t & was having "no sound" issue. So I followed Markus's (#86) advise (thanks btw). I got the speaker to work but had some issue with crackling/cracking sound while using internal mic.

I recently upgraded from kernel 2.6.38-8 to 2.6.38-11. I decided to check if the alsa modules had any patches applied -- so I uninstalled alsa-hda-dkms-acer3830tg_0.1_all.deb & ran depmod & rebooted. Viola -- speaker, headphone jack work.

Further the internal mic seems to work without crackling/cracking sound

(FYI my
/etc/modprobe.d/alsa-base.conf has
#options snd-hda-intel model=acer
options snd-hda-intel model=targa-2ch-dig --> not sure if its needed)
--K

DebianSidUser (raza) wrote :

I'm having the same prob as the 105th commenter.

"The brightness fix from msaur also worked for me, it doesn't show any icon for brightness level now though."

Not only that but it also can't be controlled through power saver settings so you have to manually set it when you're on AC power and manually set it when you're not.

Mark Baas (mark-baas123) wrote :

I recently installed oneiric on a Acer 4830TG, during installation sounds was working, headphone jack etc. Now, the sound sometimes won't work on startup, but then after suspend sounds works again. I guess the drivers were reinitialized and it works. Still very weird.

Zenigata (drebon) wrote :

Exactly the same problem as Mark Baas on an Acer 3830T.

Actually before update to kernel 3.0.13, I had sound by compiling the latest alsa-driver snapshots. After 3.0.13, I had no sound at all even with compilation of the snapshot.

I never use suspend, so I did'nt bump into this "fix". But when I saw that comment I tried and this worked.

So I guess something went wrong somewhere. Probably the suspend trick worked with 3.0.12, but there installation of alsa-driver compiled with --enable-dynamic-minors --without-oss worked better as a fix (no need to suspend).

I also tried unloading and reloading the dirver without suspend and this does'nt work...

I think the fix-released status is confusing since the fix does not work !

Mark Baas (mark-baas123) wrote :

Zenigata, I am going to try to compile a snapshot with those options, I also figured out something new: when unpluggin and pluggin the laptop for a short time you can hear sound.

Melatonin (malte-kluever) wrote :

I'm silently following this thread for month now and unfortunately nothing worked with Kubuntu (3.0.0-12 generic x86_64) on my 4830 yet :(

I was thinking about buying an external sound card to have at least sound at all. can somebody give me a hand, if it would be possible to access the internal speakers with an external card? Thanks for your work!

affects: linux (Ubuntu) → ubuntu
Mikael Schiffmann (lowhifi) wrote :

Will this ever be fixed? :(

Zenigata (drebon) wrote :

Problem is back in precise.

suspend trick works, but this is a trick.

For an LTS this should not be leaved unsolved

fr3sh (puki66) wrote :

On latest updates in ubuntu sound it's still not working!

Wrigley (richard-hce) wrote :

Hey,

the HDA Analyzer www.alsa-project.org/main/index.php/HDA_Analyzer

worked for my Acer Aspire 5830 TG.

I just clicked on codec-0 in the top-left and activated every checkbox under enable.
The sound came immediately. I was near to give up on this!

DIDI2002 (didi2002) wrote :

A fix for 3830TG will be committed shortly. If you have the same problem with the 4830/5830, just write to alsa-devel at alsa-project.org and cc tiwai at suse.de

micha (89128437550-i) on 2014-01-24
Changed in ubuntu:
assignee: nobody → micha (89128437550-i)
assignee: micha (89128437550-i) → nobody
assignee: nobody → micha (89128437550-i)
Displaying first 40 and last 40 comments. View all 116 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.